gRPC C#
gRPC C#
Namespaces
Grpc.Core
GrpcEnvironment Class
GrpcEnvironment Properties
GrpcEnvironment Methods

GrpcEnvironment Class

Encapsulates initialization and shutdown of gRPC library.
Inheritance Hierarchy
System
Object
Grpc.Core
GrpcEnvironment

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class GrpcEnvironment

    Public Class GrpcEnvironment

    public ref class GrpcEnvironment

    type GrpcEnvironment =  class end

The GrpcEnvironment type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| Logger | Gets application-wide logger used by gRPC.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| SetLogger | Sets the application-wide logger that should be used by gRPC.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace